SiliconFlow
API REFERENCE

List Models

Retrieve models information.

GET
/models
AuthorizationBearer <token>required

Set the header 'Authorization: Bearer {your API key}' for authentication

In: header

Query Parameters

typestring

The type of models

Value in"text" | "image" | "audio" | "video"
sub_typestring

The sub type of models. You can use it to filter models individually without setting type.

Value in"chat" | "embedding" | "reranker" | "text-to-image" | "image-to-image" | "speech-to-text" | "text-to-video"

Response Body

Successful response

TypeScript Definitions

Use the response body type in TypeScript.

objectstring
Example"list"
dataarray<object>

curl --request GET \
  --url 'https://api.siliconflow.cn/v1/models?sub_type=chat' \
  --header 'Authorization: Bearer YOUR_API_KEY'
{
  "object": "list",
  "data": [
    {
      "id": "deepseek-ai/DeepSeek-V4-Flash",
      "object": "model",
      "created": 0,
      "owned_by": ""
    }
  ]
}
{
  "code": 20012,
  "message": "string",
  "data": "string"
}
"Invalid token"
"Forbidden"
"404 page not found"
{
  "message": "Request was rejected due to rate limiting. If you want more, please contact contact@siliconflow.cn. Details:TPM limit reached.",
  "data": "string"
}
{
  "code": 50505,
  "message": "Model service overloaded. Please try again later.",
  "data": "string"
}
"string"
List Models